For the complete documentation index, see llms.txt. This page is also available as Markdown.

Suspected Fraud Update

Authentication Requirements:

  • Regular endpoints use OAuth2 authentication with base URL: https://api.us.prd.caf.io

  • For enhanced security, some endpoints may also support mTLS authentication with base URL: https://mtls.us.prd.caf.io

  • For information on implementing mTLS, access Using mTLS

The suspected fraud update updates a suspected fraud status.

Suspected Fraud Update

patch
/suspected-fraud/{token}

Updates a suspected fraud status.

Permission required: Update RS6

Authorizations
AuthorizationstringRequired

JWT Authorization header using the Bearer scheme.

Path parameters
tokenstring · uuidRequired

UUID that identifies a Suspected Fraud. This token can be retrieved on the Suspected Fraud Query passing query mode as LOCAL or DELETED.

Header parameters
AuthorizationstringRequired

Your access token. See more in the 'Authentication' topic of this section.

Example: Bearer YOUR_TOKEN
Body
statusstring · enumRequiredPossible values:
Responses
200

Suspected fraud update occurred successfully.

application/json
messagestringRequired

Human readable message informing about the operation.

patch/suspected-fraud/{token}
PATCH /v1/rs6/suspected-fraud/{token} HTTP/1.1
Host: api.us.prd.caf.io
Authorization: text
Content-Type: application/json
Accept: */*
Content-Length: 28

{
  "status": "CONFIRMED_FRAUD"
}
{
  "message": "text",
  "requestStatus": {
    "status": "SUCCESS",
    "token": "123e4567-e89b-12d3-a456-426614174000"
  }
}

Options

As demonstrated in the example request, in the URL a path parameter must be passed and PATCH HTTP method used. The token parameter must be a UUID that identifies a Suspected Fraud, this token can be retrieved on the Suspected Fraud Query passing query mode as LOCAL or DELETED. In the data object you should include the Suspected Fraud Status using the status property. Possible status values are:

  • CONFIRMED_FRAUD: indicates a confirmed fraud occurrence;

  • SUSPECTED_FRAUD: indicates a suspected fraud occurrence.

Last updated